Contacts
Find a contact for a prospect
Requires the contacts:write scope. Contact discovery may run asynchronously.
Requires the contacts:write scope. Contact discovery may run asynchronously.
Authorization
bearerAuth AuthorizationBearer <token>
Use a token created in Settings → API access.
In: header
Path Parameters
workspaceId*string
Workspace ID returned by GET /workspaces.
prospectId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
idempotencyKey*string
Length
8 <= length <= 160Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/workspaces/string/prospects/string/contact-discovery" \ -H "Content-Type: application/json" \ -d '{ "idempotencyKey": "stringst" }'{ "ok": true, "data": { "outcome": "created", "contact": { "id": "string", "email": "user@example.com", "fullName": "string", "role": "string", "roleCategory": "string", "company": "string", "source": "string", "sourceProvider": "string", "sourceUrl": "http://example.com", "sourceReference": "string", "status": "string", "verificationStatus": "string", "lastVerifiedAt": "2019-08-24T14:15:22Z", "suppressionReason": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } }}